core

## Class PeriodicTelegramBase

- java.lang.Object
- - core.PeriodicTelegramBase

- Direct Known Subclasses:
    CLI.CLIPeriodicTelegram, InitialWindowController.GUIPeriodicTelegram

      public abstract class PeriodicTelegramBase
      extends java.lang.Object

  Base class used to model periodically sent frames. It stores the frame and info about the sending process (period, status, identification, whether to fluctuate, whether to send at all.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `enabled`
    `protected boolean` | `fluctuated`
    `protected Frame` | `frame`
    `protected java.util.concurrent.ScheduledFuture<?>` | `index`
    `protected Sender.SendingInterval` | `interval`
    `protected java.lang.Boolean` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodicTelegramBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fluctuate()`
    `Frame` | `getFrame()`
    `java.util.concurrent.ScheduledFuture<?>` | `getIndex()`
    `Sender.SendingInterval` | `getInterval()`
    `java.lang.Boolean` | `getStatus()`
    `boolean` | `isEnabled()`
    `boolean` | `isFluctuated()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrame(Frame frame)`
    `void` | `setIndex(java.util.concurrent.ScheduledFuture<?> index)`
    `void` | `setInterval(Sender.SendingInterval interval)`
    `void` | `setStatus(java.lang.Boolean status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          protected boolean enabled

    - #### fluctuated

          protected boolean fluctuated

    - #### frame

          protected Frame frame

    - #### index

          protected java.util.concurrent.ScheduledFuture<?> index

    - #### interval

          protected Sender.SendingInterval interval

    - #### status

          protected java.lang.Boolean status

  - ### Constructor Detail

    - #### PeriodicTelegramBase

          public PeriodicTelegramBase()

  - ### Method Detail

    - #### fluctuate

          public void fluctuate()

    - #### getFrame

          public Frame getFrame()

    - #### getIndex

          public java.util.concurrent.ScheduledFuture<?> getIndex()

    - #### getInterval

          public Sender.SendingInterval getInterval()

    - #### getStatus

          public java.lang.Boolean getStatus()

    - #### isEnabled

          public boolean isEnabled()

    - #### isFluctuated

          public boolean isFluctuated()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### setFrame

          public void setFrame(Frame frame)

    - #### setIndex

          public void setIndex(java.util.concurrent.ScheduledFuture<?> index)

    - #### setInterval

          public void setInterval(Sender.SendingInterval interval)

    - #### setStatus

          public void setStatus(java.lang.Boolean status)